org.bouncycastle.jce.spec

## Class ECKeySpec

- java.lang.Object
- - org.bouncycastle.jce.spec.ECKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

Direct Known Subclasses:
  ECPrivateKeySpec, ECPublicKeySpec

    public class ECKeySpec
    extends java.lang.Object
    implements java.security.spec.KeySpec

base class for an Elliptic Curve Key Spec

### Constructor Summary

Constructors
`protected` `ECKeySpec(ECParameterSpec spec)`

### Method Summary

Methods
`ECParameterSpec` `getParams()` return the domain parameters for the curve

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECKeySpec

    protected ECKeySpec(ECParameterSpec spec)

### Method Detail

#### getParams

    public ECParameterSpec getParams()

return the domain parameters for the curve